## pybtex-docutils 1.0.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pybtex-docutils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pybtex-docutils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pybtex-docutils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pybtex-docutils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pybtex-docutils 0.2.1

=== debian/changelog ===
pybtex-docutils (0.2.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 29 Dec 2020 00:27:33 +0100

pybtex-docutils (0.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #801307)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 10:10:29 +0100

=== debian/control ===
Source: pybtex-docutils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-docutils,
               python3-nose <!nocheck>,
               python3-pybtex,
               python3-setuptools,
               python3-six,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/pybtex-docutils.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybtex-docutils.git
Homepage: https://github.com/mcmtroffaes/pybtex-docutils

Package: python3-pybtex-docutils
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pybtex-docutils-doc <!nodoc>
Description: docutils backend for pybtex
 Pybtex reads citation information from a file and produces a formatted
 bibliography. Pybtex-docutils provides a plugin which brings support for
 docutils to pybtex.
 .
 This package provides the modules for Python 3.

Package: python-pybtex-docutils-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pybtex-docutils
 Pybtex reads citation information from a file and produces a formatted
 bibliography. Pybtex-docutils provides a plugin which brings support for
 docutils to pybtex.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pybtex-docutils
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE=test
else
export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

## pybtex-docutils 1.0.1

=== debian/changelog ===
pybtex-docutils (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs fields for move to salsa.debian.org.
  * Update debian/watch to track releases from GitHub.
    The latest tarball on PyPI has bad line endings.
  * Drop Fix-build-of-docs-with-Python-3.patch, applied upstream.
  * Rebase and extend No-privacy-breach.patch for the new release.
  * Remove python3-six build-dependency, no longer needed.
  * Switch from nose to pytest for testing.
  * Set PYTHONPATH to ./src when building the docs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Oct 2021 13:19:23 +0300

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
                dpkg-dev (>= 1.17.14),
                python3-all,
                python3-docutils,
-               python3-nose <!nocheck>,
                python3-pybtex,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-six,
                python3-sphinx <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/pybtex-docutils.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybtex-docutils.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/science-team/pybtex-docutils
+Vcs-Git: https://salsa.debian.org/science-team/pybtex-docutils.git
 Homepage: https://github.com/mcmtroffaes/pybtex-docutils
 
 Package: python3-pybtex-docutils

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/mcmtroffaes/pybtex-docutils/releases \
    /mcmtroffaes/pybtex-docutils/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## pybtex-docutils 1.0.2

=== debian/changelog ===
pybtex-docutils (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * New upstream release.
    - Updates tests for docutils 0.18 (closes: #1013380).
  * Update debian/watch to use tags instead of releases.
  * Refresh No-privacy-breach.patch.
  * Backport upstream commit to fix tests for older docutils versions.
  * Fix built-using-field-on-arch-all-package Lintian warning.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 19:50:23 +0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-docutils,
                python3-pybtex,
@@ -36,7 +35,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for pybtex-docutils
  Pybtex reads citation information from a file and produces a formatted
  bibliography. Pybtex-docutils provides a plugin which brings support for

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
 export PYBUILD_DISABLE=test
 else
-export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
+export PYBUILD_BEFORE_TEST=python3 setup.py egg_info
 endif
 
 %:
@@ -25,5 +24,5 @@
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
-	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
+	PYTHONPATH=$(CURDIR)/src $(MAKE) -C doc html
 endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-pytest,
         python3-pybtex-docutils
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/mcmtroffaes/pybtex-docutils/tags \
    /mcmtroffaes/pybtex-docutils/archive/refs/tags/@ANY_VERSION@\.tar\.gz

## pybtex-docutils 1.0.3

=== debian/changelog ===
pybtex-docutils (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Stop using deprecated pkg_resources (closes: #1125862).
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Do not run dh_sphinxdoc when building for nodoc build profile.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Jan 2026 22:18:39 +0300

pybtex-docutils (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.3
  * Autopkgtest needs python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Aug 2025 14:58:25 +0200

=== debian/control ===
Source: pybtex-docutils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-docutils,
 python3-pybtex,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/pybtex-docutils
Vcs-Git: https://salsa.debian.org/science-team/pybtex-docutils.git
Homepage: https://github.com/mcmtroffaes/pybtex-docutils
X-Style: black

Package: python3-pybtex-docutils
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pybtex-docutils-doc <!nodoc>,
Description: docutils backend for pybtex
 Pybtex reads citation information from a file and produces a formatted
 bibliography. Pybtex-docutils provides a plugin which brings support for
 docutils to pybtex.
 .
 This package provides the modules for Python 3.

Package: python-pybtex-docutils-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: documentation for pybtex-docutils
 Pybtex reads citation information from a file and produces a formatted
 bibliography. Pybtex-docutils provides a plugin which brings support for
 docutils to pybtex.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends:
 python3-all,
 python3-pybtex-docutils,
 python3-pytest,
Restrictions:
 allow-stderr,
